Change subscriber PIN
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}/change-pin \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"new_pin": "<string>",
"old_pin": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_pin: '<string>', old_pin: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}/change-pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}/change-pin"
payload = {
"new_pin": "<string>",
"old_pin": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}{}Subscribers
Change subscriber PIN
Change a subscriber’s 4-digit PIN
POST
/
subscribers
/
{id}
/
change-pin
Change subscriber PIN
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}/change-pin \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"new_pin": "<string>",
"old_pin": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_pin: '<string>', old_pin: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}/change-pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/subscribers/{id}/change-pin"
payload = {
"new_pin": "<string>",
"old_pin": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}{}Authorizations
ApiKeyAuthBearerAuth
API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'
Path Parameters
Subscriber ID
Response
PIN changed successfully
The response is of type object.
⌘I